summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-07-11 11:23:42 +0200
committerPatrick Lauer <patrick@gentoo.org>2016-07-11 11:23:54 +0200
commit6563bdf9b3f9dfc9cc62a8cd0836166b87348ebf (patch)
treeafbc9a396ae2bb6a866e590f201a48abe6754287 /app-admin
parentapp-misc/elasticsearch: Bump (diff)
downloadgentoo-6563bdf9b3f9dfc9cc62a8cd0836166b87348ebf.tar.gz
gentoo-6563bdf9b3f9dfc9cc62a8cd0836166b87348ebf.tar.bz2
gentoo-6563bdf9b3f9dfc9cc62a8cd0836166b87348ebf.zip
app-admin/logstash-bin: Bump, upstream doesn't provide all-plugins tarball for this release
Package-Manager: portage-2.3.0
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/logstash-bin/Manifest1
-rw-r--r--app-admin/logstash-bin/logstash-bin-2.3.4.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/app-admin/logstash-bin/Manifest b/app-admin/logstash-bin/Manifest
index 429802e3591..be5ff6bac23 100644
--- a/app-admin/logstash-bin/Manifest
+++ b/app-admin/logstash-bin/Manifest
@@ -1,3 +1,4 @@
DIST logstash-2.3.2.tar.gz 74898843 SHA256 b3c9d943fa273c8087386736ef6809df9c5959bab870a6ab4723f58d48dd38c1 SHA512 87b97ae0548328fe56ab4f2104b4c63db6a424bb5937e7be043f5835d08bcd02fbcb403d5cc9312b72d5314abfce2b4b00016b9b380fb88abed690d8d80e8c55 WHIRLPOOL afa2a53230b3e5390c4c4d2a84a168ed2d6c56babf927fe4b8c3cb2dab49def8457e8df45d33ca020b11d49b52397f5abb6604fb1d8fecd3c9b033f426130bd9
DIST logstash-2.3.3.tar.gz 78887475 SHA256 51a20fbfe2aa0c5ea49ceda8278a4667289fd1871cf7be4ba1c32bd6cbc71d74 SHA512 b1b6ab8e323a01a905c923c24916efe7a1b1165c82d692dbd856b8cdb30ab2e3378c5dfec2e6424c8d44813a1bd8a787075a6f9d82ecbd0d6973d8cdfb1b8193 WHIRLPOOL d280c413bdcf50d5cc7151fe9a5385d974405b69f51df5f12fbb1eb8facc90682cc884d8d79d84968d0a7ae8c63eb688e50832208c647e7e2b05d4f21b8f189a
+DIST logstash-2.3.4.tar.gz 79779303 SHA256 7f62a03ddc3972e33c343e982ada1796b18284f43ed9c0089a2efee78b239583 SHA512 cc5d6c04e414daf63c836141df87204e0cbc63f71ee02abb69496e29587d5b0803dd738949de559a597979c9f6c6bf9d11d55f4b084ce875f24fb362f2c9bd3b WHIRLPOOL 71b6d915153d80d9bc81d10454ffd14af4643c61557964d7fd8edf50bf1a5d1c53ce0b09c2aec9b079918df596bbb5b07420b8661572bf7ea659e9703694f07c
DIST logstash-all-plugins-2.3.3.tar.gz 134888154 SHA256 b60a6f59616a54f07f47155b6962cd4d7eb8af8c0ceebfe5fc7d471670c02612 SHA512 41df6c94aa27c86b394580fc426d0c0c0db6ce91157fa250a67a8a72db681770ba3cdd257788cfaf9947704bba1a61308a9bc843204b80dcd739b5082972cf6d WHIRLPOOL 0644f49a6ea76add4a3522b5fd8ec519ea49cc554cfd00f96f0b223840d886dfb8781f59a7fc3d0bef2484266aea168c0a9700b63f8aede9d649106d19b494a9
diff --git a/app-admin/logstash-bin/logstash-bin-2.3.4.ebuild b/app-admin/logstash-bin/logstash-bin-2.3.4.ebuild
new file mode 100644
index 00000000000..437c3b89077
--- /dev/null
+++ b/app-admin/logstash-bin/logstash-bin-2.3.4.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit user
+
+MY_PN="${PN/-bin}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tool for managing events and logs"
+HOMEPAGE="https://www.elastic.co/products/logstash"
+SRC_URI="https://download.elastic.co/${MY_PN}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RESTRICT="strip"
+QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
+
+DEPEND=""
+RDEPEND="|| ( virtual/jre:1.8 virtual/jre:1.7 )"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ enewgroup ${MY_PN}
+ enewuser ${MY_PN} -1 -1 /var/lib/${MY_PN} ${MY_PN} -m
+}
+
+src_install() {
+ keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
+ keepdir "/var/log/${MY_PN}"
+
+ insinto "/usr/share/${MY_PN}"
+ doins "${FILESDIR}/agent.conf.sample"
+
+ insinto "/opt/${MY_PN}"
+ doins -r .
+ fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby"
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${MY_PN}.logrotate" "${MY_PN}"
+
+ newconfd "${FILESDIR}/${MY_PN}.confd" "${MY_PN}"
+ newinitd "${FILESDIR}/${MY_PN}.initd" "${MY_PN}"
+}
+
+pkg_postinst() {
+ ewarn "The default user changed from root to ${MY_PN}. If you wish to run as root (for"
+ ewarn "example to read local logs), be sure to change LS_USER and LS_GROUP in"
+ ewarn "/etc/conf.d/${MY_PN}"
+ einfo
+ einfo "Getting started with logstash:"
+ einfo " https://www.elastic.co/guide/en/logstash/current/getting-started-with-logstash.html"
+ einfo ""
+ einfo "Packages that might be interesting:"
+ einfo " app-misc/elasticsearch"
+ einfo " dev-python/elasticsearch-curator"
+ einfo " www-apps/kibana-bin"
+}